Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/PSDPercept.h File Reference

Declaration of classes PSDPercept. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/Math/Vector3.h"`
`#include "SensorDataBuffer.h"`

Include dependency graph for PSDPercept.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SinglePSDPercept
| A spot relative to the robot that was detected by the PSD Sensor. More...
class | PSDPercept
| Class containg all single PSD spots perceived in one frame. More...
## Functions
In & | operator>> (In &stream, PSDPercept &psdPercept)
| Streaming operator that reads a PSDPercept from a stream.
Out & | operator<< (Out &stream, const PSDPercept &psdPercept)
| Streaming operator that writes a PSDPercept to a stream.
In & | operator>> (In &stream, SinglePSDPercept &psdPercept)
| Streaming operator that reads a SinglePSDPercept from a stream.
Out & | operator<< (Out &stream, const SinglePSDPercept &psdPercept)
| Streaming operator that writes a SinglePSDPercept to a stream.

## Detailed Description

Declaration of classes PSDPercept.

Author:
  Martin Lötzsch

Definition in file PSDPercept.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | PSDPercept & | psdPercept
| ) |

  | Streaming operator that reads a PSDPercept from a stream. Parameters:
  stream | The stream from which is read.
  psdPercept | The PSDPercept object.
Returns: The stream. Definition at line 60 of file PSDPercept.cpp. References PSDPercept::numOfPercepts, PSDPercept::percepts, STREAM_DYN_ARRAY_EXT, STREAM_REGISTER_BEGIN_EXT, and STREAM_REGISTER_FINISH.

Out& operator<< | ( | Out & | stream,
|  | const PSDPercept & | psdPercept
| ) |

  | Streaming operator that writes a PSDPercept to a stream. Parameters:
  stream | The stream to write on.
  psdPercept | The PSDPercept object.
Returns: The stream. Definition at line 73 of file PSDPercept.cpp. References PSDPercept::numOfPercepts, PSDPercept::percepts, STREAM_DYN_ARRAY_EXT, STREAM_REGISTER_BEGIN_EXT, and STREAM_REGISTER_FINISH.

In& operator>> | ( | In & | stream,
|  | SinglePSDPercept & | psdPercept
| ) |

  | Streaming operator that reads a SinglePSDPercept from a stream. Parameters:
  stream | The stream from which is read.
  psdPercept | The PSDPercept object.
Returns: The stream. Definition at line 33 of file PSDPercept.cpp. References STREAM_BASE_EXT, STREAM_EXT, STREAM_REGISTER_BEGIN_EXT, and STREAM_REGISTER_FINISH.

Out& operator<< | ( | Out & | stream,
|  | const SinglePSDPercept & | psdPercept
| ) |

  | Streaming operator that writes a SinglePSDPercept to a stream. Parameters:
  stream | The stream to write on.
  psdPercept | The PSDPercept object.
Returns: The stream. Definition at line 46 of file PSDPercept.cpp. References STREAM_BASE_EXT, STREAM_EXT, STREAM_REGISTER_BEGIN_EXT, and STREAM_REGISTER_FINISH.